=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: ros-melodic-octomap-rviz-plugins
 Section: misc
-Priority: extra
+Priority: optional
 Maintainer: Armin Hornung <armin@hornung.io>
 Build-Depends: debhelper (>= 9.0.0), libqt5core5a, libqt5widgets5, qtbase5-dev, ros-melodic-catkin, ros-melodic-octomap, ros-melodic-octomap-msgs, ros-melodic-roscpp, ros-melodic-rviz
 Homepage: http://ros.org/wiki/octomap_rviz_plugins
